{
	"name": "query/manager/product/product_material/need_calc_material_test.json",
	"database": "4d",
	"parameter": {
		"show_sql": true,
		"work": [],
		"record_type": "estimated"
	},
	"query": [
		["prma_record_type", "=", "record_type"],
		"and",
		["prma_product_id", "in", "work"],
		"and",
		["prma_product_material_state", ">=", 0]
	],
	"order": ["prma_material_id", ">"],
	"field": [
		"prma_material_id",
		"prma_product_id",
		"prma_material_id.pr_name"
	],
	"fieldX": [
		"prma_product_id.pr_name",
		"prma_product_id",
		"prma_material_id",
		"prma_amount",
		"pr_stock_vs_design_conversion_multiplier",
		"pr_work_number",
		"pr_product_id",
		"pr_product_type",
		"pr_stock_unit",
		"pr_name",
		"pr_stock_balance",

		"prma_material_id.prma_amount",
		"prma_material_id.pr_stock_vs_design_conversion_multiplier",
		"prma_material_id.pr_product_type",
		"prma_material_id.pr_stock_unit",
		"prma_material_id.pr_name",
		"prma_material_id.pr_stock_balance"
	]
}